//
//  ScanFacesFrameProcessorPlugin.m
//  vision_camera_plugin_scan_faces
//
//  Created by Zdeněk Dolák on 05.10.2023.
//
#if __has_include(<VisionCamera/FrameProcessorPlugin.h>)
#import <Foundation/Foundation.h>
#import <VisionCamera/FrameProcessorPlugin.h>
#import <VisionCamera/FrameProcessorPluginRegistry.h>
#import <VisionCamera/Frame.h>


#if defined __has_include && __has_include("vision_camera_plugin_scan_faces-Swift.h")
#import "vision_camera_plugin_scan_faces-Swift.h"
#else
#import <VisionCameraScanFacesPlugin/vision_camera_plugin_scan_faces-Swift.h>
#endif

// Example for a Swift Frame Processor plugin automatic registration
@interface ScanFacesFrameProcessorPlugin (FrameProcessorPluginLoader)
@end

@implementation ScanFacesFrameProcessorPlugin (FrameProcessorPluginLoader)

+ (void) load {
        [FrameProcessorPluginRegistry addFrameProcessorPlugin:@"scanFaces"
                                              withInitializer:^FrameProcessorPlugin*(NSDictionary* options) {
            return [[ScanFacesFrameProcessorPlugin alloc] init];
        }];
    }

/*+ (void)initialize {
  [FrameProcessorPluginRegistry addFrameProcessorPlugin:@"scanFaces"
                                        withInitializer:^FrameProcessorPlugin* _Nonnull(NSDictionary* _Nullable options) {
    return [[ScanFacesFrameProcessorPlugin alloc] init];
  }];
}
*/
@end

#endif
